com.zipcodewilmington.streams.conversions

## Class ConversionAgent<T>

- java.lang.Object
- - com.zipcodewilmington.streams.conversions.ConversionAgent<T>

- Direct Known Subclasses:
    ArrayConverter, ListConverter, StreamConverter

      public abstract class ConversionAgent<T>
      extends java.lang.Object

  Created by leon on 5/25/17. ConversionAgent is responsible for conversion between different collection types for the sake of this assignment and my sanity, consider primitive arrays to be collection type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected T` | `people`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConversionAgent(T val)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.stream.Stream<Person>` | `filter(java.util.function.Predicate<? super Person> predicate)`
    `java.util.stream.Stream<Person>` | `flatMap(java.util.function.Function<? super Person,? extends java.util.stream.Stream<Person>> predicate)`
    `abstract Person[]` | `toArray()`
    `abstract java.util.List<Person>` | `toList()`
    `abstract java.util.stream.Stream<Person>` | `toStream()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### people

          protected T people

  - ### Constructor Detail

    - #### ConversionAgent

          public ConversionAgent(T val)

  - ### Method Detail

    - #### toList

          public abstract java.util.List<Person> toList()

    - #### toStream

          public abstract java.util.stream.Stream<Person> toStream()

    - #### toArray

          public abstract Person[] toArray()

    - #### filter

          public java.util.stream.Stream<Person> filter(java.util.function.Predicate<? super Person> predicate)

    - #### flatMap

          public java.util.stream.Stream<Person> flatMap(java.util.function.Function<? super Person,? extends java.util.stream.Stream<Person>> predicate)